%global dlrn_nvr 15.4.1-1.20210616213309.da146d5
%global dlrn 1
%define upstream_version 15.4.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:                   puppet-barbican
Version: 15.4.1
Release: 1.20210616213309.da146d5%{?dist}
Summary:                Puppet module for OpenStack Barbican
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-barbican

Source0: 15.4.1-1.20210616213309.da146d5.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=da146d53877db069a521d49b79f70e2827e8caad
Patch0001: 0001-Add-p11_crypto_plugin-token-options.patch
Patch0002: 0002-Add-new-options-to-PKCS-11-backend.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-stdlib
Requires:               puppet-keystone
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Puppet module which installs and configures OpenStack Barbican.

%prep
%setup -q -n openstack-barbican-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/



%files
%{_datadir}/openstack-puppet/modules/barbican/


%changelog
* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1.20210616213309.da146d5
- Add new options to PKCS#11 backend (rhbz#1918480)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1.20210528134057.da146d5
- Update patches

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Wed Dec 16 2020 Douglas Mendizábal <dmendiza@redhat.com> 15.4.1-1.20201114014405
- Add p11_crypto_plugin token options (rhbz#1877510)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Expose vhost_custom_fragment

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Chain barbican_api_paste_ini to config anchor

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Switch to Train

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0




